import { OnInit, ElementRef, EventEmitter, QueryList } from '@angular/core';
import { CfCoreComponent } from '../core/core.component';
import { CfSelectableComponent } from '../selectable/selectable.component';
import { CfRadioComponent } from '../radio/radio.component';
import { GroupModel } from '../../models/group/group.model';
import { TemplateService } from '../../services/template-service/template.service';
export declare class CfGroupComponent extends CfCoreComponent implements OnInit {
    elementRef: ElementRef;
    selectables: QueryList<CfSelectableComponent>;
    radios: QueryList<CfRadioComponent>;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    onChange: any;
    onTouched: any;
    cfGroup: GroupModel;
    itemsSelected: number[];
    valuesSelected: any[];
    properties: GroupModel;
    label: string;
    minSelected: number;
    maxSelected: number;
    allSelected: boolean;
    display: boolean;
    onSelect: EventEmitter<{}>;
    randomId: number;
    resetGroup(): void;
    constructor(elementRef: ElementRef, /**@hidden */ templateService: TemplateService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterContentInit(): void;
    updateValues(data: any): void;
}
